#ifndef _CF_H
#define _CF_H

//port address
#define outport 0x3BC
#define inport 0x3BD

#define NUMINPUTSENSORS	2

#define	TACHBUSADDR	0
#define SPEEDBUSADDR	1

//gui constants
#define GAUGERESOLUTIONX 480
#define GAUGERESOLUTIONY 480

#define GRAPHXLINES 20
#define GRAPHYLINES 20

#define GRAPHDATASIZE 200 
//note: this value must be large enough for
//all features plotting graph data, it 
//specifies the length of the arrays for 
//graph data (i.e. the number of points on 
//the graph that can be plotted)

#define POWEROVERTIMECURVEDURATION_SEC	10.0
#define POWEROVERTIMECURVERANGE_HP	200

#define ACCELERATIONOVERTIMEDURATION_SEC 10.0
#define ACCELERATIONOVERTIMERANGE_KMHSEC 40.0

#define VELOCITYOVERTIMEDURATION_SEC 10.0

//Vehicle specific constants
#define	MAXTACHOMETERRANGE	8000.0
#define TACHOMETERREDLINE	5500.0
#define MAXSPEEDOMETERRANGE	200.0
#define SPEEDPULSESPERKM	637.0*4.0

#define VEHICLEWEIGHTKG		1164.0

#endif

